<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US" prefix="og: http://ogp.me/ns#">
<head>
<%= render '/head.*' %>
<%= render '/canonical_urls.*' %>
</head>
<body itemscope itemtype="http://schema.org/WebPage" data-spy="scroll" data-target="#doc-nav" data-offset="200">
  <%= render '/gtm.*' %>
  <%= render '/header.*' %>
  <div class="wrapper">
    <div class="nav-wrapper active">
      <aside id="global-nav" class="global-nav">
      <% if ENV['CI_PROJECT_NAME'] == 'gitlab-docs' or ENV['CI_PROJECT_NAME'].nil? %>
        <%= render '/global_nav.*' %>
      <% end %>
      </aside>
      <button type="button" class="btn nav-toggle" data-gl-class-toggle="active" data-target=".nav-wrapper">
        <span class="arrow"></span>
        <span class="arrow"></span>
        <div class="label">Collapse sidebar</div>
      </button>
    </div>
    <div class="main class js-main-wrapper">
      <% if @config[:breadcrumbs] %>
        <% ancestor_array = ancestor_path_array(@item) unless ancestor_path_array(@item).empty? %>
        <% if ancestor_array %>
          <ul class="breadcrumbs">
            <% ancestor_array.reverse_each do |item| %>
              <li class="breadcrumb"><%= link_to item.key?(:title) ? "#{item[:title]}" : "Breadcrumb", item %></li>
            <% end %>
            <li class="breadcrumb"><%= @item.key?(:title) ? "#{@item[:title]}" : "Current page" %></li>
          </ul>
          <div id="doc-nav" class="doc-nav">
            <a class="toc-collapse" data-toggle="collapse" href="#markdown-toc" aria-expanded="true" aria-controls="markdown-toc"></a>
          </div>
        <% else %>
          <div id="doc-nav" class="doc-nav toc-no-breadcrumbs">
            <a class="toc-collapse" role="button" data-toggle="collapse" href="#markdown-toc" aria-expanded="true" aria-controls="markdown-toc"></a>
          </div>
        <% end %>
      <% end %>
      <% if @item[:title] %>
        <h1 class="article-title" itemprop="name">
          <%= @item[:title] %><%= @item[:title_badge] %>
        </h1>
      <% end %>
      <% if @item[:author] %>
        <div class="article-metadata">
          Article written by <a href="https://gitlab.com/<%= @item[:author_gitlab] %>" target="_blank"><%= @item[:author] %></a>
          on <%= @item[:date] %>
          &#8226;
          <% if @item[:last_updated] %>
          Last updated: <%= @item[:last_updated] %>
          &#8226;
          <% end %>
          Type: <%= @item[:article_type] %>
          &#8226;
          Level: <%= @item[:level] %>
        </div>
      <% end %>
      <div class="article-content js-article-content" role="main" itemscope itemprop="mainContentOfPage">
        <%= yield %>
      </div>
      <% if @item[:last_updated] %>
        <hr>
        <p class="last-updated">
          <em>Last updated <%= @item[:last_updated] %></em>
        </p>
      <% end %>
      <%= render '/feedback.*' %>
    </div>
    <div class="clear"></div>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.3.1/dist/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/clipboard@2/dist/clipboard.min.js"></script>
  <script type="application/javascript" src="<%= @items['/assets/javascripts/clipboardjs.*'].path %>"></script>
  <script type="application/javascript" src="<%= @items['/assets/javascripts/badges.*'].path %>"></script>
  <%= render '/docsearch.*' %>
  <%= render '/mermaid.*' %>
  <%= render '/https_redirect.*' %>
  <% if ENV['NANOC_ENV'] == 'production' %>
  <%# Add analytics only in production %>
    <%= render '/analytics.*' %>
  <% end %>
  <% if @item[:table_display_block] %>
    <script type="application/javascript" src="<%= @items['/assets/javascripts/table-display-block.*'].path %>"></script>
  <% end %>
  <%= render '/footer.*' %>
  <script src="<%= @items['/assets/javascripts/docs.*'].path %>"></script>
  <script src="<%= @items['/assets/javascripts/global-nav.*'].path %>"></script>
  <script src="<%= @items['/assets/javascripts/class-toggle.*'].path %>"></script>
</body>
</html>
